# List Batches With the list operation you can list batch messages created in the last 14 days that you have created. This operation supports pagination. Endpoint: GET /xms/v1/{service_plan_id}/batches Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" ## Query parameters: - `page` (integer) The page number starting from 0. Example: 2 - `page_size` (integer) Determines the size of a page. Example: 50 - `start_date` (string) Only list messages received at or after this date/time. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ. Default: Now-24 - `end_date` (string) Only list messages received before this date/time. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ. - `from` (array) Only list messages sent from this sender number. Multiple originating numbers can be comma separated. Must be phone numbers or short code. Example: ["44345","45607"] - `client_reference` (string) Client reference to include Example: "myReference" ## Response 200 fields (application/json): - `count` (integer) The total number of entries matching the given filters. Example: 12 - `page` (integer) The requested page. - `batches` (array) The page of batches matching the given filters. - `page_size` (integer) The number of entries returned in this request. Example: 30 ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error.